//
//  ViewController.swift
//  Quotes
//
//  Created by David Reed on 3/23/19.
//  Copyright © 2019 David Reed. All rights reserved.
//

import UIKit

class ViewController: UIViewController {
    let FILENAME = "quotes.txt"
    
    var generator = QuoteGenerator(using: [])
    
    override func viewDidLoad() {
        let parts = FILENAME.components(separatedBy: ".")
        if let path = Bundle.main.path(forResource: parts[0], ofType: parts[1]) {
            if let text = try? String(contentsOfFile: path, encoding: String.Encoding.utf8) {
                let quotes = text.components(separatedBy: .newlines).filter { $0 != "" }
                generator = QuoteGenerator(using: quotes)
            }
        }
    }
    
    @IBOutlet weak var outputLabel: UILabel!

    @IBAction func getQuote(_ sender: UIButton) {
        outputLabel.text = generator.randomQuote()
    }
}
